> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get wallet information and balances.

**Required API Key Scopes:** `read`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet:
    get:
      tags:
        - Wallets
      summary: Get
      description: |-
        Get wallet information and balances.

        **Required API Key Scopes:** `read`
      operationId: walletget
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  exchange:
                    type: string
                    enum:
                      - ace
                      - ascendex
                      - bequant
                      - bigone
                      - binance
                      - binance-web
                      - coinbase
                      - binanceus
                      - bingx
                      - bit2c
                      - bitbank
                      - bitbns
                      - bitcoincom
                      - bitfinex
                      - bitflyer
                      - bitget
                      - bithumb
                      - bitmart
                      - bitmex
                      - bitopro
                      - bitpanda
                      - bitrue
                      - bitso
                      - bitstamp
                      - bitteam
                      - bitvavo
                      - bybit
                      - bybit-web
                      - bl3p
                      - blockchaincom
                      - blofin
                      - btcalpha
                      - btcbox
                      - btcmarkets
                      - btcturk
                      - cex
                      - coincheck
                      - coinex
                      - coinlist
                      - coinmate
                      - coinmetro
                      - coinone
                      - coinsph
                      - coinspot
                      - cryptocom
                      - delta
                      - deribit
                      - digifinex
                      - exmo
                      - fmfwio
                      - gate
                      - gateio
                      - gemini
                      - hashkey
                      - hitbtc
                      - hollaex
                      - htx
                      - huobi
                      - huobijp
                      - hyperliquid
                      - independentreserve
                      - indodax
                      - kraken
                      - krakenfutures
                      - kucoin
                      - kucoinfutures
                      - latoken
                      - lbank
                      - luno
                      - mercado
                      - mexc
                      - ndax
                      - novadax
                      - oceanex
                      - okcoin
                      - okx
                      - onetrading
                      - oxfun
                      - p2b
                      - paradex
                      - paymium
                      - phemex
                      - poloniex
                      - poloniexfutures
                      - probit
                      - timex
                      - tradeogre
                      - upbit
                      - vertex
                      - wavesexchange
                      - whitebit
                      - woo
                      - woofipro
                      - xt
                      - yobit
                      - zaif
                      - zonda
                      - local-cex
                  balances:
                    type: object
                    additionalProperties:
                      type:
                        - object
                        - 'null'
                      properties:
                        free:
                          type:
                            - number
                            - 'null'
                        used:
                          type:
                            - number
                            - 'null'
                        total:
                          type:
                            - number
                            - 'null'
                        assetId:
                          type:
                            - string
                            - 'null'
                        slug:
                          type:
                            - string
                            - 'null'
                  ipPool:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                  invalidApi:
                    type:
                      - boolean
                      - 'null'
                  createdAt:
                    anyOf:
                      - type: string
                      - type: number
                      - type: string
                      - type: 'null'
                  updatedAt:
                    anyOf:
                      - type: string
                      - type: number
                      - type: string
                      - type: 'null'
                  lastSyncAt:
                    anyOf:
                      - type: string
                      - type: number
                      - type: string
                      - type: 'null'
                  expiresAt:
                    anyOf:
                      - type: string
                      - type: number
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - exchange
                  - balances
              example:
                exchange: binance
                walletId: wallet_01H9X3Z7N5V2KJ4G8P6QR5T3Y2
                balances:
                  USDC:
                    free: 19.28963814
                    used: 0
                    total: 19.28963814
                  DOGE:
                    free: 124.13252234
                    used: 0
                    total: 124.13252234
                  BTC:
                    free: 1
                    used: 0
                    total: 1
                createdAt: '2023-10-01T12:00:00.000Z'
                updatedAt: '2023-10-01T12:00:00.000Z'
                lastSyncAt: '2023-10-01T12:00:00.000Z'
                ipPool: []
                invalidApi: false
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - read
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: WALLET_NOT_FOUND
                  result: {}
                required:
                  - error
                  - type
              example:
                error: Wallet not found
                type: WALLET_NOT_FOUND
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````